Bug 217271 - RFE: add support for ssmtp and esmtp in system-switch-mail
RFE: add support for ssmtp and esmtp in system-switch-mail
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-switch-mail (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-26 05:06 EST by Ville Skyttä
Modified: 2008-03-07 12:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 12:42:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Untested patch adding support for ssmtp (4.40 KB, patch)
2006-11-26 05:06 EST, Ville Skyttä
no flags Details | Diff
Add support for ssmtp, esmtp (6.45 KB, patch)
2007-04-07 14:14 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2006-11-26 05:06:32 EST
It'd be nice to have support for sSMTP (from the Fedora Extras ssmtp package) in
system-switch-mail.  Quickly thrown together (untested) patch attached - at
least changes to the translations are missing.

Note that ssmtp does not have a daemon, so there's intentionally no
/sbin/service stuff for it in functions.py.in.
Comment 1 Ville Skyttä 2006-11-26 05:06:35 EST
Created attachment 142129 [details]
Untested patch adding support for ssmtp
Comment 2 Ville Skyttä 2007-04-07 14:14:54 EDT
Created attachment 151920 [details]
Add support for ssmtp, esmtp

Here's an updated and tested patch, adds support not only for ssmtp, but esmtp
too (both in Fedora Extras).  Please apply.
Comment 3 Ngo Than 2008-03-07 12:42:11 EST
it's fixed long ago. 0.5.25-13

Note You need to log in before you can comment on or make changes to this bug.